package instruments;
import jm.audio.AOException;
import jm.audio.Instrument;
import jm.audio.synth.Oscillator;
import jm.audio.synth.Volume;


public class MeuInstrRT extends Instrument{

		private float frequency = -1f;
		private int waveForm;

		public MeuInstrRT(int waveForm) {
			super();
			this.waveForm = waveForm;
		}

		public float getFrequency() {
			return frequency;
		}

		public void setFrequency(float frequency) {
			this.frequency = frequency;
		}

		public void createChain() throws AOException {
		Oscillator osc = new Oscillator(this,waveForm);
		if (frequency != -1.0f) { 
			osc.setChoice(0);
			osc.setFrq(frequency);
		}
		Volume vol = new Volume(osc, 0.5d);
						
	}
		
		 


}
